Hyperion Planning Application Fails To Open Following Upgrade Error: "java.lang.UnsatisfiedLinkError: no HspEssbaseEnv in java.library.path" (Doc ID 1394408.1)

Last updated on JULY 28, 2016

Applies to:

Hyperion Planning - Version 11.1.2.1.101 and later
Oracle Solaris on SPARC (64-bit)

Symptoms

After upgrading a Hyperion Planning application from 11.1.1.3 to 11.1.2.1,  attempting to login to the application results in the following error:

An error occurred

And the following details are found in the Planning logs:

java.lang.UnsatisfiedLinkError: no HspEssbaseEnv in java.library.path
java.lang.NoClassDefFoundError: com/hyperion/planning/olap/HspEssbaseJniOlap

WatchRule: (SEVERITY = 'Error') AND ((MSGID = 'WL-101020') OR (MSGID = 'WL-101017') OR (MSGID = 'WL-000802') OR (MSGID = 'BEA-101020') OR (MSGID = 'BEA-101017') OR (MSGID = 'BEA-000802'))
WatchData: DATE = 12-Jan-2012 15:15:55 o'clock GMT SERVER = Planning0 MESSAGE = [ServletContext@375053843[app:PLANNING module:HyperionPlanning path:/HyperionPlanning spec-version:2.5 version:11.1.2.0]] Servlet failed with Exception
java.lang.ClassCastException: java.lang.NoClassDefFoundError

Changes

Moved from 11.1.1.3 an 11.1.2.1 environment.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms